<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- Mobile Responsive Meta Tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- Bootstrap CSS Link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
		<title>Bootstrap Introduction and Simple Styles</title> 
		<!-- Developed by Mark Otto and Jacob Thornton at twitter -->
		<!-- Released as an open-source product in August 2011 -->

	</head>
	<!-- use class attribute to set bootstrap pre-built styling -->
	<body class="text-center  bg-warning">

		<div>
			<h1>Bootstrap Introduction and Simple Styles</h1>
		</div>

		<!-- 
			"container" adds margin and padding to all elements under the div tag 

			"container-fluid" adds padding to all elements under the div tag
		-->
		<div class="container-fluid">
			<h2>Bootstrap Color Classes</h2>

			<!-- 

			"table" class changed the appearance of the default html table.

			"table-bordered" adds borders to our table for readability and styling

			"table-dark" - changed the color to dark
			 -->

			<table class="table table-bordered table-dark">
				<thead>
					<tr>
						<th>Text</th>
						<th>Backround</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>

						<!-- 
							It is allowed  for an element to have multiple classes using one class attribute 

							"bg-" to change background color followed  by boot strap color classses
						-->

						<td class="bg-primary text-white">
							Primary Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-secondary">Secondary Link</a>
						</td>
						<td class="bg-secondary text-white">
							Secondary Background
						</td>

					</tr>
					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
						</td>
						<td class="bg-success text-white">
							Success Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">Danger Link</a>
						</td>
						<td class="bg-danger text-white">
							Danger Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">Warning Link</a>
						</td>
						<td class="bg-warning text-white">
							Warning Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-info">Info Link</a>
						</td>
						<td class="bg-info text-white">
							Info Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
						</td>
						<td class="bg-light text-dark">
							Light background
						</td> 
					</tr>
					<tr class="bg-light">
						<td>
							<a href="#" class="text-dark bg-">Dark Link</a>
						</td>
						<td class="bg-dark text-white">
							Dark Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-muted">Muted Link</a>
						</td>
						<td class="bg-transparent text-white">
							Transparent Background
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-white">White Link</a>
						</td>
						<td class="bg-white text-dark">
							White Background
						</td>
					</tr>
				</tbody>

			</table>
		</div>

		<!-- Bootstrap Script (Bundle) -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
	</body>
</html>